.advanced-header-field:not(:has(.advanced-header-field__subtitle)) h2,
.advanced-header-field:not(:has(.advanced-header-field__subtitle)) h3,
.advanced-header-field:not(:has(.advanced-header-field__subtitle)) h4 {
  --heading--margin-bottom: 0.35em;
}

.advanced-header-field.advanced-header-field--size-h2 .advanced-header-field__heading {
  --heading--font-size: var(
    --h2--font-size,
    clamp(1.5625rem, 1.26953125rem + 1.46484375vw, 2.44140625rem)
  );
  --heading--line-height: 1.25;
  --heading--font-weight: 700;
  --heading--letter-spacing: -0.835px;
}
.advanced-header-field.advanced-header-field--size-h2 .advanced-header-field__heading:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.advanced-header-field.advanced-header-field--size-h3 .advanced-header-field__heading {
  --heading--font-size: var(
    --h3--font-size,
    clamp(1.25rem, 1.1458333333rem + 0.5208333333vw, 1.5625rem)
  );
  --heading--line-height: 1.333;
  --heading--font-weight: 800;
}
.advanced-header-field.advanced-header-field--size-h3 .advanced-header-field__heading:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.advanced-header-field.advanced-header-field--size-h4 .advanced-header-field__heading {
  --heading--font-size: var(
    --h4--font-size,
    clamp(1rem, 0.9166666667rem + 0.4166666667vw, 1.25rem)
  );
  --heading--line-height: 1.5;
  --heading--font-weight: 800;
}
.advanced-header-field.advanced-header-field--size-h4 .advanced-header-field__heading:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.advanced-header-field {
  scroll-margin-top: var(--site-header-height);
}
.advanced-header-field:has(.advanced-header-field__subtitle) {
  --heading-margin-bottom: 0;
  margin-bottom: var(--advanced-header-field--margin-bottom, 0.35em);
}
.advanced-header-field:has(.advanced-header-field__subtitle):has(h2), .advanced-header-field:has(.advanced-header-field__subtitle).advanced-header-field--size-h2 {
  font-size: clamp(1.5625rem, 1.26953125rem + 1.46484375vw, 2.44140625rem);
}
.advanced-header-field:has(.advanced-header-field__subtitle):has(h3), .advanced-header-field:has(.advanced-header-field__subtitle).advanced-header-field--size-h3 {
  font-size: clamp(1.25rem, 1.1458333333rem + 0.5208333333vw, 1.5625rem);
}
.advanced-header-field:has(.advanced-header-field__subtitle):has(h4), .advanced-header-field:has(.advanced-header-field__subtitle).advanced-header-field--size-h4 {
  font-size: clamp(1rem, 0.9166666667rem + 0.4166666667vw, 1.25rem);
}
.advanced-header-field .advanced-header-field__subtitle {
  margin-top: 0.25em;
  font-size: 1rem;
}
.advanced-header-field.advanced-header-field--style-centered {
  text-align: center;
}
.advanced-header-field.advanced-header-field--style-rule .advanced-header-field__heading {
  display: flex;
  -moz-column-gap: clamp(1rem, 0.6822916667rem + 1.5885416667vw, 1.953125rem);
       column-gap: clamp(1rem, 0.6822916667rem + 1.5885416667vw, 1.953125rem);
  text-align: center;
}
.advanced-header-field.advanced-header-field--style-rule .advanced-header-field__heading::after, .advanced-header-field.advanced-header-field--style-rule .advanced-header-field__heading::before {
  content: "";
  align-self: center;
  flex-grow: 1;
  border-top: 1px solid var(--border-decoration);
}
